Name:           perl-DBD-CSV
Version:        0.60
Release:    3%{?dist}
Summary:        DBI driver for CSV files
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/DBD-CSV
Source0:        https://cpan.metacpan.org/modules/by-module/DBD/DBD-CSV-%{version}.tgz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(lib)
BuildRequires:  perl(Carp)
BuildRequires:  perl(DBD::File) >= 0.44
BuildRequires:  perl(DBI) >= 1.628
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(SQL::Statement) >= 1.405
BuildRequires:  perl(strict)
BuildRequires:  perl(Text::CSV_XS) >= 1.45
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  perl(charnames)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Test::More) >= 0.90
Requires:       perl(DBD::File) >= 0.44
Requires:       perl(DBI) >= 1.628
Requires:       perl(Exporter)
Requires:       perl(SQL::Statement) >= 1.405
Requires:       perl(Text::CSV_XS) >= 1.45

%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^perl\\(DBD::File\\)$
%global __requires_exclude %__requires_exclude|^perl\\(Text::CSV_XS\\)$

%description
The DBD::CSV module is yet another driver for the DBI (Database
independent interface for Perl). This one is based on the SQL
"engine" SQL::Statement and the abstract DBI driver DBD::File
and implements access to so-called CSV files (Comma separated
values). Such files are mostly used for exporting MS Access and
MS Excel data.

%prep
%setup -q -n DBD-CSV-%{version}
chmod -c a-x ChangeLog README lib/DBD/*.pm lib/Bundle/DBD/*.pm

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc ChangeLog CONTRIBUTING.md README
%{perl_vendorlib}/Bundle/
%{perl_vendorlib}/DBD/
%{_mandir}/man3/Bundle::DBD::CSV.3*
%{_mandir}/man3/DBD::CSV.3*

%changelog
* Tue Jul 02 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.60-3
- rebuild

* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.60-2
- rebuild

* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.60-1
- initial build
